Page 1 of 2 12 LastLast
Results 1 to 10 of 14

Thread: Yast2 Error message when starting

  1. #1
    Join Date
    Jun 2008
    Location
    Oregon
    Posts
    455

    Default Yast2 Error message when starting

    I just tried to run yast2 after adding some repos for multimedia files and now I get this error:

    There was an error in the repository initialization.
    'Main Repository (OSS)': Valid metadata not found at specified URL(s)
    History:
    - Cannot determine type for repository Main Repository (OSS).

    Where do you go to see the repositories and make changes if needed?
    (I'm used to apt-get/Synaptic)

  2. #2
    Join Date
    Mar 2008
    Location
    Oz
    Posts
    11,728
    Blog Entries
    2

    Default Re: Yast2 Error message when starting

    Check you have the right repos in Yast --> Software --> commmunity repos . The correct repos are listed at en.opensuse.org
    Leap 42.3 & 15.1 &KDE
    FYIs from the days of yore

  3. #3
    Join Date
    Jun 2008
    Location
    Oregon
    Posts
    455

    Default Re: Yast2 Error message when starting

    Quote Originally Posted by swerdna View Post
    Check you have the right repos in Yast --> Software --> commmunity repos . The correct repos are listed at en.opensuse.org
    will do. Thanks

    by the way... I did run the script again and this time it completed and I was able to install some programs.

  4. #4
    Join Date
    Mar 2008
    Location
    Oz
    Posts
    11,728
    Blog Entries
    2

    Default Re: Yast2 Error message when starting

    Quote Originally Posted by vinoman2 View Post
    will do. Thanks

    by the way... I did run the script again and this time it completed and I was able to install some programs.
    Maybe it was a temporary internet communications problem
    Leap 42.3 & 15.1 &KDE
    FYIs from the days of yore

  5. #5
    Join Date
    Jun 2008
    Location
    Oregon
    Posts
    455

    Default Re: Yast2 Error message when starting

    Had trouble again to day with Yast. this time it said something else was using it, but what could that be? Also, KDE4 is not very good at this point which many know already and that may be why some programs like amarok won't quit close out when hitting quit.

    I couldn't get into the repos to see what's there and how do you add them?

    After using Debian distros there is a learning curve to understand openSuse.

  6. #6
    Join Date
    Mar 2008
    Location
    Oz
    Posts
    11,728
    Blog Entries
    2

    Default Re: Yast2 Error message when starting

    Quote Originally Posted by vinoman2 View Post
    Had trouble again to day with Yast. this time it said something else was using it, but what could that be?
    Probably the updater applet was running. I permanently switch it off and switch it on only once a fortnight to let it do its thing, rather than every boot.
    Quote Originally Posted by vinoman2 View Post
    I couldn't get into the repos to see what's there and how do you add them?
    contents are here:
    Package Repositories - openSUSE
    Additional YaST Package Repositories - openSUSE
    etc

    and you add them like this:
    yast --> software repositories --> add --> specify url
    Leap 42.3 & 15.1 &KDE
    FYIs from the days of yore

  7. #7
    Join Date
    Jun 2008
    Location
    Finland, European Union
    Posts
    1,879

    Default Re: Yast2 Error message when starting

    Valid metadata errors are often caused by broken mirrors - unfortunately it seems that at least one server in UK is causing issues - I've seen several cases of the same behaviour and all have been fixed by changing the mirrors manually.

    I suggest you remove the existing base/oss repositories and look at the mirror list on the opensuse.org page to add another close proximity mirror.

  8. #8
    Join Date
    Jun 2008
    Location
    Oregon
    Posts
    455

    Default Re: Yast2 Error message when starting

    Quote Originally Posted by swerdna View Post
    Probably the updater applet was running. I permanently switch it off and switch it on only once a fortnight to let it do its thing, rather than every boot.

    contents are here:
    Package Repositories - openSUSE
    Additional YaST Package Repositories - openSUSE
    etc

    and you add them like this:
    yast --> software repositories --> add --> specify url
    I see the links for the repos listed, I added the four that they recommended. and extra ones I can't seem to figure out how to add them...

    I tried to install Bluefish, which is a common html editor and it couldn't find it. where do I go to install Bluefish?

  9. #9
    Join Date
    Jun 2008
    Location
    Oregon
    Posts
    455

    Default Re: Yast2 Error message when starting

    I was able to install Gimp, so I know that Yast is working

  10. #10
    Join Date
    Mar 2008
    Location
    Oz
    Posts
    11,728
    Blog Entries
    2

    Default Re: Yast2 Error message when starting

    Quote Originally Posted by vinoman2 View Post
    I see the links for the repos listed, I added the four that they recommended. and extra ones I can't seem to figure out how to add them...
    Now I'm a bit confused. Couple of questions to clear my mind:
    What version of openSUSE r u running (11.0 right?)?
    Which four repo's do you have?
    And what extra ones did you want?
    Quote Originally Posted by vinoman2 View Post
    I tried to install Bluefish, which is a common html editor and it couldn't find it. where do I go to install Bluefish?
    There's a Bluefish RPM, which I could lead you through installing after we sort out the first problem above. bluefish here in Educational openSUSE 11
    Leap 42.3 & 15.1 &KDE
    FYIs from the days of yore

Page 1 of 2 12 LastLast

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •